POST
/
v2
/
sessions
/
{session_id}
/
auth
/
request-code
Request an OTP pairing code for a session
curl --request POST \
  --url https://api-v2.watchcollect.com/v2/sessions/{session_id}/auth/request-code \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "phone_number": "31612345678"
}
'
{
  "phone_number": "<string>",
  "method": "<string>",
  "code": "<string>",
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

session_id
string<uuid>
required

Body

application/json
phone_number
string
required
Example:

"31612345678"

otp_method
string

Optional WAHA OTP delivery method. Omit or send an empty string for Web pairing; WAHA also accepts sms or voice for registration OTP delivery.

Example:

""

Response

OTP request accepted.

phone_number
string
required
method
string
code
string
request_id
string